This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 242102

Summary: Nashorn frames do not allow Go To Source when Java language is selected.
Product: debugger Reporter: Martin Entlicher <mentlicher>
Component: JavaAssignee: Martin Entlicher <mentlicher>
Status: RESOLVED FIXED    
Severity: normal CC: jtulach
Priority: P2 Keywords: 8.0_HR_FIX
Version: 8.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:

Description Martin Entlicher 2014-02-19 14:54:36 UTC
This is a remaining issue from issue #240703.
When a breakpoint is hit in a Java code that was called from JavaScript, there are JavaScript frames on the stack, but the debugger session language is Java. In this configuration, it's not possible to get to the frame's source code, since Go To Source is disabled.
To Go to Source action should be enabled regardless of that fact, that Java sources are not available for that frame. It should show the language it can provide and set the session language accordingly.
Comment 1 Martin Entlicher 2014-02-19 16:41:45 UTC
Fixed by changeset:   272459:11791f0c9595
http://hg.netbeans.org/core-main/rev/11791f0c9595

Go To Source action is enabled when it has an URL for some language.
Setting the frame as current will change the session language to the frame's default language.

Please verify soon so that it can be back-ported into 8.0.
Comment 2 Quality Engineering 2014-02-20 03:04:34 UTC
Integrated into 'main-silver', will be available in build *201402200001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/11791f0c9595
User: mentlicher@netbeans.org
Log: #242102: Enable Go To Source action when the stack frame has an URL for some language. Set the session language to the frame's default when switching current frames.
Comment 3 Jaroslav Havlin 2014-02-20 08:41:43 UTC
> Please verify soon so that it can be back-ported into 8.0.
The changeset seems fine to me. Everything works as expected. Good job.
Comment 4 Jaroslav Tulach 2014-02-20 11:05:20 UTC
I can confirm the behavior is OK. Please get this into release 8.0!
Comment 5 Martin Entlicher 2014-02-20 17:54:17 UTC
Thanks for the review and verification.
Transplanted into release80:
http://hg.netbeans.org/releases/rev/6c2c466338c2
Comment 6 Quality Engineering 2014-02-21 01:29:19 UTC
Integrated into 'releases/release80', will be available in build *201402202300* or newer. Wait for official and publicly available build.

Changeset: http://hg.netbeans.org/releases/rev/6c2c466338c2
User: mentlicher@netbeans.org
Log: #242102: Enable Go To Source action when the stack frame has an URL for some language. Set the session language to the frame's default when switching current frames.
(transplanted from 11791f0c9595915d0431ec306e04959ab813154f)